TencentNavKit

Instance Methods | Class Methods | Properties | List of all members
TNKDriveNavManager Class Reference

‍** More...

`#import <TNKDriveNavManager.h>`

Inheritance diagram for TNKDriveNavManager:

## Instance Methods
(void) | - registerNavDelegate:
| 注册对象接收导航事件变化. 注册后可通过该协议获取导航过程中出现的状态或信息改变(如已偏航、经过途经点、到达终点等). 导航事件变化采用广播形式,可同时注册多个对象接收事件变化. More...
(void) | - unregisterNavDelegate:
| 注销对象接收导航事件变化. More...
(void) | - unregisterAllNavDelegates
| 注销所有对象接收导航事件变化. More...
(TNKSearchTask *_Nullable) | - searchRoutesWithRequest:completion:
| 发起驾车导航路线规划. 通过路线规划请求配置起点、终点、途经点(可选)、规划参数(可选)发起路线规划. More...
(int) | - changeToBackupRoute:
| 导航过程中切换至备选路线. More...
(int) | - deleteBackupRoute:
| 导航过程中删除某备选路线. More...
(void) | - deleteAllBackupRoutes
| 导航过程中删除所有备选路线 More...
(void) | - requestTts
| 导航过程中增加轮次播报回放。导航过程中有效，当前正在播报时，调用此方法可能无效。 More...
(void) | - setDestArriveOffRouteRadius:destOffRouteRadius:
| 设置终点偏航参数。注意:需要导航前设置才能生效。参数有效条件:(destArriveRadius >= 30 && destArriveRadius <= destOffRouteRadius) More...
Instance Methods inherited from TNKBaseNavManager
(BOOL) | - startNavWithIndex:
| 启动导航. 需要在驾车导航路线规划成功后进行. More...
(BOOL) | - startNavWithRouteID:
| 启动导航. 需要在驾车导航路线规划成功后进行. More...
(BOOL) | - setNaveRoutePlanCacheSize:
| 设置路径规划缓存数 [1, 8]，默认 1. More...
(void) | - stopNav
| 结束导航. More...
(void) | - rerouteWithParam:
| 重新算路方法 More...

## Class Methods
(instancetype) | + sharedInstance
| 单例模式，获取导航管理对象 More...

## Properties
BOOL | multiRoutesEnabled
| 是否开启导航过程中的备选路线. 默认关闭. More...
BOOL | showMultiRoutesWhenStartNav
| 开启导航时是否展示初始算路的备选路线。默认为NO More...
TNKNavTTSMode | ttsMode
| 导航播报模式，默认为标准模式. More...
int | routePlanCacheSize
| 设置路径规划缓存数 [1, 8]，默认 1. More...
TNKDriveNavRoute * | curNavRoute
| 当前正在导航时的主路线数据。非导航时为nil More...
NSArray< TNKDriveNavRoute * > * | backupNavRoutes
| 当前正在导航时的伴随路线数据。非导航时为空 More...
TNKWaypointRemovedStrategy | waypointRemovedStrategy
| 途经点移除策略 需要在开启导航前设置 More...
id< TNKDriveNavDataSource > | navDataSource
| 导航事件DataSource. since 5.2.6 More...
Properties inherited from TNKBaseNavManager
BOOL | running
| 导航控制器是否在工作中，包含导航状态+偏航状态 More...
id< TNKAudioPlayerProtocol > | audioPlayer
| 导航播报的播放器。开发者如需SDK内置播报，需赋值[TNKAudioPlayer sharedAudioPlayer]对象至该属性 More...
id< TNKLocationSimulator > | locationSimulator
| 定位点模拟器，用于测试。 More...

## Detailed Description

‍**

驾车导航管理类

## Method Documentation

## ◆ changeToBackupRoute:

- (int) changeToBackupRoute: |  | (NSString *) | routeID |

导航过程中切换至备选路线.

Since
  5.2.6

Parameters

  routeID | 要切换到的路线id

Returns
  状态码。 0:成功； 1: 此路线已经是导航主路线；2:没找到对应的路线；3: 当前非导航状态，无法切换

## ◆ deleteAllBackupRoutes

- (void) deleteAllBackupRoutes |  |  |

导航过程中删除所有备选路线

Since
  6.0.0

## ◆ deleteBackupRoute:

- (int) deleteBackupRoute: |  | (NSString *) | routeID |

导航过程中删除某备选路线.

Since
  5.2.6

Parameters

  routeID | 路线id

Returns
  状态码。 0:成功； 1: 此路线已经是导航主路线；2:没找到对应的路线；3: 当前非导航状态，无法删除

## ◆ registerNavDelegate:

- (void) registerNavDelegate: |  | (id< TNKDriveNavDelegate >) | navDelegate |

注册对象接收导航事件变化. 注册后可通过该协议获取导航过程中出现的状态或信息改变(如已偏航、经过途经点、到达终点等). 导航事件变化采用广播形式,可同时注册多个对象接收事件变化.

Warning
  内部对navDelegate弱持有

Parameters

  navDelegate | 接收导航事件变化的对象

## ◆ requestTts

- (void) requestTts |  |  |

导航过程中增加轮次播报回放。导航过程中有效，当前正在播报时，调用此方法可能无效。

Since
  5.3.9

## ◆ searchRoutesWithRequest:completion:

- (TNKSearchTask *_Nullable) searchRoutesWithRequest: |  | (TNKDriveRouteRequest *) | request
completion: |  | (void(^)(TNKDriveRouteSearchResult *_Nullable searchResult, NSError *_Nullable error)) | completion

发起驾车导航路线规划. 通过路线规划请求配置起点、终点、途经点(可选)、规划参数(可选)发起路线规划.

Parameters

  request | 路线规划请求
  completion | 路线规划完成回调

Returns
  路线规划任务

错误信息参考TNKDriveRouteSearchErrorCode, TNKDriveRouteSearchErrorDomain

## ◆ setDestArriveOffRouteRadius:destOffRouteRadius:

- (void) setDestArriveOffRouteRadius: |  | (int) | destArriveRadius
destOffRouteRadius: |  | (int) | destOffRouteRadius

设置终点偏航参数。注意:需要导航前设置才能生效。参数有效条件:(destArriveRadius >= 30 && destArriveRadius <= destOffRouteRadius)

Since
  6.7.0

Parameters

  destArriveRadius | 进入半径，单位,米
  destOffRouteRadius | 驶离半径，单位,米

## ◆ sharedInstance

+ (instancetype) sharedInstance |  |  |

单例模式，获取导航管理对象

## ◆ unregisterAllNavDelegates

- (void) unregisterAllNavDelegates |  |  |

注销所有对象接收导航事件变化.

## ◆ unregisterNavDelegate:

- (void) unregisterNavDelegate: |  | (id< TNKDriveNavDelegate >) | navDelegate |

注销对象接收导航事件变化.

Parameters

  navDelegate | 接收导航事件变化的对象

## Property Documentation

## ◆ backupNavRoutes

- (NSArray<TNKDriveNavRoute *>*) backupNavRoutes
| readnonatomicassign

当前正在导航时的伴随路线数据。非导航时为空

## ◆ curNavRoute

- (TNKDriveNavRoute*) curNavRoute
| readnonatomicassign

当前正在导航时的主路线数据。非导航时为nil

## ◆ multiRoutesEnabled

- (BOOL) multiRoutesEnabled
| readwritenonatomicassign

是否开启导航过程中的备选路线. 默认关闭.

## ◆ navDataSource

- (id<TNKDriveNavDataSource>) navDataSource
| readwritenonatomicweak

导航事件DataSource. since 5.2.6

## ◆ routePlanCacheSize

- (int) routePlanCacheSize
| readwritenonatomicassign

设置路径规划缓存数 [1, 8]，默认 1.

Since
  6.7.5

## ◆ showMultiRoutesWhenStartNav

- (BOOL) showMultiRoutesWhenStartNav
| readwritenonatomicassign

开启导航时是否展示初始算路的备选路线。默认为NO

Since
  5.4.2.8

## ◆ ttsMode

- (TNKNavTTSMode) ttsMode
| readwritenonatomicassign

导航播报模式，默认为标准模式.

Since
  5.3.9

## ◆ waypointRemovedStrategy

- (TNKWaypointRemovedStrategy) waypointRemovedStrategy
| readwritenonatomicassign

途经点移除策略 需要在开启导航前设置

Since
  5.4.0

The documentation for this class was generated from the following file:

- TNKDriveNavManager.h